﻿"use strict";


var express = require ('express');                                                
var ejs = require('ejs');                                                    
var app = express ();                                                    

app.engine('html', ejs.renderFile); 
app.use(express.static(__dirname ));                                      
app.set('views', __dirname + '/templates');                                  
app.use('/public', express.static(__dirname + '/public/')); 
app.use('/jquery', express.static(__dirname + '/node_modules/jquery/dist'));                

var httpserver = require ('http').createServer(app);                       

var credit = { 
	name : 'Mon Web avec NodeJs',
	level : 'Lecon n° 1 (v2) ',
	auteur :'Powered by Bud *Robert* Spencer',
};
					

app.get('/', function (req, res) {
res.render('index.html',{credit : credit});
});

console.log ('CTRL+C pour quitter.');

httpserver.listen(8080);
 


